Name: tn5250
Version: 0.17.5
Release: 3
License: LGPL-3.0-or-later 
Summary: 5250 Protocol Terminal Emulator
Url: http://tn5250.sourceforge.net/

Source0: http://prdownloads.sourceforge.net/tn5250/tn5250-0.17.4.tar.gz

Patch0: tn5250-0.17.5-changes.patch
Patch1: tn5250-printf-format-security.patch
Patch2: tn5250-ignore-insecure-ssl-methods.patch
Patch3: tn5250-remove-duplicate-func.patch
Patch4: tn5250-port-openssl-1.1.patch
Patch5: tn5250-fix-segfault-tgetstr.patch
Patch6: tn5250-set-autoconf-aux-dir.patch
Patch7: tn5250-scs-private.patch
Patch8: tn5250-more-warning-fixes.patch
Patch9: tn5250-no-vsyslog.patch
Patch10: tn5250-endian-bugfix.patch
Patch11: tn5250-false-positive-errors.patch
Patch12: tn5250-fix-accept-by-default.patch
Patch13: tn5250-fix-openssl-configure.patch

BuildRequires: openssl-devel
BuildRequires: ncurses-devel
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: m4-gnu

%description
tn5250 is an implementation of the 5250 Telnet protocol.
It provides the 5250 library and a 5250 terminal emulation.


%prep
%setup -q -n %{name}-0.17.4

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1

autoreconf -fiv

%build

%configure \
    CFLAGS="$CFLAGS -D_LINUX_SOURCE_COMPAT -D_XOPEN_SOURCE=700 -D_ALL_SOURCE -I%{_includedir}/ncurses" \
    LDFLAGS='-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib' \
    --with-aix-soname=svr4 \
    --with-ssl=yes \
    --with-ssl-dir=%{_prefix} \
    # end

%make_build


%install

%make_install

# We don't plan to support lib5250
# Remove the development files
rm %{buildroot}%{_libdir}/lib5250.a
rm %{buildroot}%{_libdir}/lib5250.so
rm -r %{buildroot}%{_includedir}

%files
%defattr(-, qsys, *none)

%license COPYING
%doc README AUTHORS ChangeLog NEWS

%{_bindir}/5250keys
%{_bindir}/lp5250d
%{_bindir}/scs2ascii
%{_bindir}/scs2pdf
%{_bindir}/scs2ps
%{_bindir}/tn5250
%{_bindir}/xt5250

%{_mandir}/man1/*
%{_mandir}/man5/tn5250rc*

%{_libdir}/lib5250.so.0

%{_datadir}/tn5250

%changelog
* Mon Jan 31 2022 Kevin Adler <kadler@us.ibm.com> - 0.17.5
- Fix segfault when using SSL

* Fri Jan 28 2022 Kevin Adler <kadler@us.ibm.com> - 0.17.5
- Enable SSL support

* Wed Nov 18 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 0.17.5
- Use brp-rm-libtool-files

* Sat Aug 29 2020 Kevin Adler <kadler@us.ibm.com> - 0.17.5
- Add package based on 0.17.4 and unreleased 0.17.5 changes in CVS
- Additional OpenSSL 1.1 changes from https://github.com/sharkcz/tn5250

